Bug 68644 - PRINTING: Crash while printing from print preview
Summary: PRINTING: Crash while printing from print preview
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-28 09:04 UTC by Owain Shave
Modified: 2015-02-11 19:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owain Shave 2013-08-28 09:04:51 UTC
Problem description: While in Print Preview, Printed large (31 page) document. while printing, closed print preview view. Libre office crashed

Steps to reproduce:
1. Go to print preview
2. Print large document
3. Quickly close print preview

Current behavior: unexpected crash

Expected behavior: printing continues in background while working in normal view.

              
Operating System: Windows 7
Version: 4.0.4.2 release
Comment 1 Joel Madero 2014-01-17 04:15:20 UTC
Cannot reproduce:
Ubuntu 13.10
LibreOffice 4.2.0.1

Not marking as WFM - might be Windows only but unfortunately Microsoft has decided to stop supporting my printer so there is no driver for W7 or W8 and I don't have the time to deal with the workaround.

Florian - you mind testing this?
Comment 2 Florian Reisinger 2014-01-17 08:38:33 UTC
Version: 4.1.4.2
Build-ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

Opened 435 page document (https://wiki.documentfoundation.org/images/9/9b/01ES_ErsteSchritte_V33.odt)
German Datei -> Drucken (File -> Print) No crash
German Datei -> Seitenansicht (File-> Page preview)
Clicking on "Close page preview" -> LibreOffice does not react (Reformatting the document TWICE) Now I am in the same dialog as before. No crash
Comment 3 Joel Madero 2014-01-17 15:50:14 UTC
@Florian - did you try printing to a physical printer within page preview and then close page preview prior to print completion?
Comment 4 Florian Reisinger 2014-01-18 08:54:52 UTC
Yes
Comment 5 Yousuf Philips (jay) (retired) 2014-06-02 05:28:53 UTC
Tested on Windows 7 with LibO 3.6 to 4.2 and couldnt reproduce. Owain, does the same thing happen to you with any of the 4.1 or 4.2 release?
Comment 6 QA Administrators 2015-01-10 18:06:07 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 7 QA Administrators 2015-02-11 19:46:09 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11